org.keycloak.models.cache

## Interface UserCache.Streams

- All Superinterfaces:
    Provider, UserBulkUpdateProvider, UserCache, UserLookupProvider, UserLookupProvider.Streams, UserProvider, UserProvider.Streams, UserQueryProvider, UserQueryProvider.Streams, UserRegistrationProvider
  All Known Implementing Classes:
    UserCacheSession
  Enclosing interface:
    UserCache

      public static interface UserCache.Streams
      extends UserCache, UserProvider.Streams

  The `UserCache.Streams` interface differs from `UserCache` in that it extends the `UserProvider.Streams` interface, allowing implementations of `UserCache` to focus on the `Stream`-based methods in the `UserProvider` interface.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.cache.UserCache

      `UserCache.Streams`

  - ### Method Summary

    - ### Methods inherited from interface org.keycloak.models.cache.UserCache

      `clear, evict, evict`

    - ### Methods inherited from interface org.keycloak.models.UserProvider.Streams

      `getConsents, getConsentsStream, getFederatedIdentities, getFederatedIdentitiesStream, getFederatedIdentity, getFederatedIdentity, getUserByFederatedIdentity, getUserByFederatedIdentity, getUsers, getUsers, getUsersStream, getUsersStream`

    - ### Methods inherited from interface org.keycloak.models.UserProvider

      `addConsent, addFederatedIdentity, addUser, close, getConsentByClient, getNotBeforeOfUser, getServiceAccount, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove, preRemove, removeFederatedIdentity, removeImportedUsers, revokeConsentForClient, setNotBeforeForUser, unlinkUsers, updateConsent, updateFederatedIdentity`

    - ### Methods inherited from interface org.keycloak.storage.user.UserRegistrationProvider

      `addUser, removeUser`

    - ### Methods inherited from interface org.keycloak.storage.user.UserBulkUpdateProvider

      `grantToAllUsers`

    - ### Methods inherited from interface org.keycloak.storage.user.UserQueryProvider.Streams

      `getGroupMembers, getGroupMembers, getGroupMembersStream, getGroupMembersStream, getUsers, getUsers, getUsersCount, getUsersCount, getUsersCount, getUsersCount, getUsersCount, getUsersCount, getUsersCount, getUsersCount, getUsersStream, getUsersStream, searchForUser, searchForUser, searchForUser, searchForUser, searchForUserByUserAttribute, searchForUserByUserAttributeStream, searchForUserStream, searchForUserStream, searchForUserStream, searchForUserStream`

    - ### Methods inherited from interface org.keycloak.storage.user.UserQueryProvider

      `countUsersInGroups, getRoleMembers, getRoleMembers, getRoleMembersStream, getRoleMembersStream, getUsersCount, getUsersCount, getUsersCount`

    - ### Methods inherited from interface org.keycloak.storage.user.UserLookupProvider.Streams

      `getUserByEmail, getUserByEmail, getUserById, getUserById, getUserByUsername, getUserByUsername`

Copyright © 2021 JBoss by Red Hat. All rights reserved.